"""removing verbose from download template

Revision ID: 3bed1c92b0b8
Revises: 68d0883785b7
Create Date: 2021-04-14 15:29:23.217461

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "3bed1c92b0b8"
down_revision = "68d0883785b7"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n' "
        "WHERE filename = 'test_download.sh'"
    )


def downgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --verbose --product-locator $1\ndeliver -r .\n' "
        "WHERE filename = 'test_download.sh'"
    )
